Skip to main content
`Ctrl`+`K`

# imageio.plugins.spe

Read SPE files.

This plugin supports reading files saved in the Princeton Instruments SPE file format.

## Parameters

check_filesizebool

  The number of frames in the file is stored in the file header. However, this number may be wrong for certain software. If this is True (default), derive the number of frames also from the file size and raise a warning if the two values do not match.

char_encodingstr

  Deprecated. Exists for backwards compatibility; use `char_encoding` of `metadata` instead.

sdt_metabool

  Deprecated. Exists for backwards compatibility; use `sdt_control` of `metadata` instead.

## Methods

Note

Check the respective function for a list of supported kwargs and detailed documentation.

`SpePlugin.read`(*[, index]) | Read a frame or all frames from the file
`SpePlugin.iter`() | Iterate over the frames in the file
`SpePlugin.properties`([index]) | Standardized ndimage metadata.
`SpePlugin.metadata`([index, exclude_applied, ...]) | SPE specific metadata.